<div class="form-create-edit">
  <h2 *ngIf="id; else elseBlock">Edit blog</h2>
  <ng-template #elseBlock><h2>New blog</h2></ng-template>
  <form>
    <div class="form-group">
        <label for="title">title</label>
        <input type="text" class="form-control" id="title" [(ngModel)]="blog.title" [ngModelOptions]="{standalone: true}"
        required minlength="4" appForbiddenName="bob"
        #title="ngModel"
        >
      <div *ngIf="title.invalid && (title.dirty || title.touched)" class="alert">
        <div *ngIf="title.errors?.required">
          <span class="error">Name is required.</span>
        </div>
        <div *ngIf="title.errors?.minlength">
          <span class="error">Name must be at least 4 characters long</span>
        </div>
        <div *ngIf="title.errors?.forbiddenName">
          <span>Name cannot be Bob.</span>
        </div>
      </div>
    </div>

    <div class="form-group">
      <label for="description">description</label>
      <input type="text" class="form-control" id="description" [(ngModel)]="blog.des" [ngModelOptions]="{standalone: true}">
    </div>

    <div class="form-group">
      <label for="detail">detail</label>
      <textarea rows=10 type="text" class="form-control" id="detail" [(ngModel)]="blog.detail" [ngModelOptions]="{standalone: true}"></textarea>
    </div>

    <div class="form-group">
      <div>
        <label for="image">image</label>
      </div>
      <input type="file">
    </div>

    <div class="form-group">
      <div>
        <label for="category">category</label>
      </div>
      <select class="form-select" aria-label="Default select example" id="category" [(ngModel)]="blog.category" [ngModelOptions]="{standalone: true}">
        <option *ngFor="let category of categories" [value]="category.id">{{ category.name }}</option>
      </select>
    </div>

    <div class="form-group">
      <label for="position">position</label>
      <div *ngFor="let position of positions" class="form-check">
        <input class="form-check-input" type="checkbox" [value]="position.id" [id]="position.id" name="position" [(ngModel)]="blog.position" [ngModelOptions]="{standalone: true}">
        <label class="form-check-label" [for]="position.id">
         {{ position.name }}
        </label>
      </div>
    </div>
    <div class="form-group">
      <label for="public">public</label>
      <div class="form-check">
        <input value="1" class="form-check-input" type="radio" name="flexRadioDefault" id="flexRadioDefault1">
        <label class="form-check-label" for="flexRadioDefault1">
          Yes
        </label>
      </div>

      <div class="form-check">
        <input value="0" class="form-check-input" type="radio" name="flexRadioDefault" id="flexRadioDefault2" checked>
        <label class="form-check-label" for="flexRadioDefault2">
          No
        </label>
      </div>
    </div>

    <div class="form-group">
      <label for="data_pubblic">data_pubblic</label>
      <input type="date" class="form-control" id="data_pubblic"  [(ngModel)]="blog.data_pubblic" [ngModelOptions]="{standalone: true}">
    </div>
  </form>
  <div class="btn-form">
    <button (click)= "onSubmit()" type="button" class="btn btn-success">Submit</button>
    <button (click)= "clearForm()" type="button" class="btn btn-primary">clear</button>
  </div>
</div>
